Возможно ли установить и запустить libav и ffmpeg на ubuntu 14.04?

5

Я хочу использовать Clementine, но для этого нужно ffmpeg , если я хочу воспроизвести .ape файлов из него.

С другой стороны, я все еще хочу работать с VLC и понимаю, что VLC больше не использует ffmpeg , а libav . (кстати, VLC воспроизводит все аудиоформаты, которые у меня есть, включая .ape файлов).

Итак, мой вопрос: если я установлю ffmpeg , будет ли работать libav (что позволит мне использовать VLC) или переопределит функциональность libav, что приведет к сбою VLC?

Причина, по которой я спрашиваю об этом здесь, а не просто пытаюсь установить ffmpeg , заключается в том, что в последний раз, когда я установил ее, VLC остановился, и я только мог заставить ее снова работать, переустанавливая Ubuntu 14.04

    
задан oneaty 09.09.2014 в 16:57
источник

1 ответ

5

В 14.04% clementine все еще использует плагины gstreamer0.10, и поскольку поддержка ape обеспечивается плагином ffmpeg, вам нужно настроить следующий PPA для воспроизведения ape файлы:

sudo apt-add-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install gstreamer0.10-ffmpeg

Я тестировал одновременно vlc и clementine, используя этот образец файла (sh3.ape), и он работает безупречно:

    
ответ дан Sylvain Pineau 09.09.2014 в 17:35
источник